#ifndef SCENE_H
#define SCENE_H

#include "mesh.h"
#include "material.h"
#include <glew/glew.h>

class Entity;
class Camera;

class Scene
{
    // lights
   std::vector<Entity*> entities;
   Camera* camera;
public:
    Scene() : camera(NULL) {}
    ~Scene();
    void addEntity(Entity* parent, Mesh* mesh, Material* mat);
    void addEntity(Mesh* mesh, Material* mat);
    void addEntity(Entity* entity);
    void drawEntities();
    void setCamera(Camera* myCamera);
    Camera* getCamera();
};

#endif // SCENE_H
